## r-cran-fastdummies 1.7.3

=== DESCRIPTION ===
Package: fastDummies
Type: Package
Title: Fast Creation of Dummy (Binary) Columns and Rows from
        Categorical Variables
Version: 1.7.3
Authors@R: c(
    person("Jacob", "Kaplan", email = "jkkaplan6@gmail.com", role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-0601-0387")), 
    person("Benjamin", "Schlegel", email = "kontakt@benjaminschlegl.ch", role =  "ctb"))
Description: Creates dummy columns from columns that have categorical variables (character or factor types). You can also specify which columns to make dummies out of, or which columns to ignore. Also creates dummy rows from character, factor, and Date columns. This package provides a significant speed increase from creating dummy variables through model.matrix().
Depends: R (>= 2.10)
Imports: data.table, tibble, stringr
License: MIT + file LICENSE
Encoding: UTF-8
URL: https://github.com/jacobkap/fastDummies,
        https://jacobkap.github.io/fastDummies/
BugReports: https://github.com/jacobkap/fastDummies/issues
RoxygenNote: 7.2.3
Suggests: testthat (>= 2.1.0), knitr, rmarkdown, covr, spelling
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: no
Packaged: 2023-07-05 13:40:13 UTC; jkkap
Author: Jacob Kaplan [aut, cre] (<https://orcid.org/0000-0002-0601-0387>),
  Benjamin Schlegel [ctb]
Maintainer: Jacob Kaplan <jkkaplan6@gmail.com>
Repository: CRAN
Date/Publication: 2023-07-06 13:50:06 UTC

=== debian/changelog ===
r-cran-fastdummies (1.7.3-2) unstable; urgency=medium

  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Nov 2023 13:15:17 +0100

r-cran-fastdummies (1.7.3-1) unstable; urgency=medium

  * Initial release (closes: #1056301)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2023 10:46:50 +0100

=== debian/control ===
Source: r-cran-fastdummies
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastdummies
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastdummies.git
Homepage: https://cran.r-project.org/package=fastDummies
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-data.table,
               r-cran-tibble,
               r-cran-stringr
Testsuite: autopkgtest-pkg-r

Package: r-cran-fastdummies
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: fast creation of dummy columns and rows from categorical variables
 Creates dummy columns from columns that have
 categorical variables (character or factor types). You can also
 specify which columns to make dummies out of, or which columns to
 ignore. Also creates dummy rows from character, factor, and Date
 columns. This package provides a significant speed increase from
 creating dummy variables through model.matrix().

## r-cran-fastdummies 1.7.4

=== debian/changelog ===
r-cran-fastdummies (1.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Sep 2024 08:27:51 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastdummies
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastdummies.git
 Homepage: https://cran.r-project.org/package=fastDummies
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-fastdummies 1.7.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fast Creation of Dummy (Binary) Columns and Rows from
         Categorical Variables
-Version: 1.7.3
+Version: 1.7.5
 Authors@R: c(
     person("Jacob", "Kaplan", email = "jkkaplan6@gmail.com", role = c("aut", "cre"),
     comment = c(ORCID = "0000-0002-0601-0387")), 
@@ -15,14 +15,14 @@
 URL: https://github.com/jacobkap/fastDummies,
         https://jacobkap.github.io/fastDummies/
 BugReports: https://github.com/jacobkap/fastDummies/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Suggests: testthat (>= 2.1.0), knitr, rmarkdown, covr, spelling
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-07-05 13:40:13 UTC; jkkap
+Packaged: 2025-01-20 16:37:37 UTC; jkkap
 Author: Jacob Kaplan [aut, cre] (<https://orcid.org/0000-0002-0601-0387>),
   Benjamin Schlegel [ctb]
 Maintainer: Jacob Kaplan <jkkaplan6@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-07-06 13:50:06 UTC
+Date/Publication: 2025-01-20 20:33:42 UTC

=== debian/changelog ===
r-cran-fastdummies (1.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 22 Jan 2025 08:50:57 +0900

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 2.1.0),
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-covr,
        r-cran-spelling
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/fastDummies_([-\d.]*)\.tar\.gz
